$(function () {
	VK.init({
		apiId: 3683086
	});

	function vk_auth_info(response) {
		if (response.session) {
			VK.Api.call('users.get', {uids: response.session.mid, fields: 'uid, first_name, last_name, photo'}, function (r) {
				if (r.response) {
					var name = r.response[0].first_name + ' ' + r.response[0].last_name,
						img = r.response[0].photo,
						name_auth = 'vk||' + encodeURI(name) + '||' + img;
					auth(name, img, name_auth);
				}
			});
		}
	}

	function auth(name, img, name_auth) {
		var expires = new Date();
		expires.setTime(expires.getTime() + (2592000000));
		set_cookie('auth', name_auth, expires, '/');
		$('#user_auth .comment-user-avatar').html('<img src="' + img + '" alt=""><br>' + name);
		$('#user_name_auth').val(name_auth);
		$('#user_auth').show();
		$('#user_noauth').hide();
	}

	$('#vk_login_button').click(function (e) {
		e.preventDefault();
		VK.Auth.login(vk_auth_info);
	});

	$('#facebook_login_button').click(function (e) {
		e.preventDefault();
		FB.login(function (response) {
			if (response.authResponse) {
				FB.api('/me', function (response) {
					var name = response.name,
						img = 'http://graph.facebook.com/' + response.id + '/picture',
						name_auth = 'fb||' + encodeURI(name) + '||' + img;
					auth(name, img, name_auth);
				});
			}
		});
	});

	$.oauthpopup = function (options) {
		options.windowName = options.windowName || 'ConnectWithOAuth';
		options.windowOptions = options.windowOptions || 'location=0,status=0,width=800,height=400';
		options.callback = options.callback || function () {
			window.location.reload();
		};
		var that = this;
		that._oauthWindow = window.open(options.path, options.windowName, options.windowOptions);
		that._oauthInterval = window.setInterval(function () {
			if (that._oauthWindow.closed) {
				window.clearInterval(that._oauthInterval);
				options.callback();
			}
		}, 1000);
	};

	$('#twitter_login_button').click(function (e) {
		e.preventDefault();
		$.oauthpopup({
			path: 'http://'+document.location.host+'/twitter_auth_.php',
			callback: function () {
				var auth = get_cookie('auth');
				var m = auth.match(/tw\|\|(.*)\|\|(.*)/);
				var name = m[1],
					img = m[2];
				$('#user_auth .comment-user-avatar').html('<img src="' + img + '" alt=""><br>' + name);
				$('#user_name_auth').val(auth);
				$('#user_auth').show();
				$('#user_noauth').hide();
			}
		});
	});

	$('#logout_button').click(function () {
		set_cookie('auth', '', 0, '/');
		$('#user_auth').hide();
		$('#user_noauth').show();
	});

	$('.tab').click(function (e) {
		e.preventDefault();
		var $this = $(this),
			id = $this.attr('data-id');
		$('.tab-content').hide();
		$('#' + id).show();
		$('.tab').removeClass('tab-active');
		$('#' + id + '-btn').addClass('tab-active');
	});

	var date = document.location.href.match(/(\d{2})-(\d{2})-(\d{4})/),
		day,
		month,
		year;
	if(date){
		day = date[1];
		month = date[2];
		year = date[3];
		$('#tv_archive_'+day+'_'+month+'_'+year).addClass('archive-current');
	}else{
/*		var now = new Date();
		day = now.getDate();
		if(day < 10){
			day = '0' + day;
		}
		month = now.getMonth()+1;
		if(month < 10){
			month = '0' + month;
		}
		year = now.getFullYear();*/
	}

	$('.btn-quote').click(function (e) {
		var $this = $(this),
			id = $this.attr('data-id'),
			$comment = $('#comment_text'),
			comment_text = $comment.val(),
			quote_text = $('#quote_text_' + id).html();
		quote_text = quote_text.replace('<br>', "\n");
		$comment.val(comment_text + (comment_text ? "\n" : '') + "[q]" + quote_text + "[/q]");
	});

	function uniq_id(){
		if(!get_cookie('uniq')){
			$.ajax({
				url: '/ajax/uniq.php',
				type: 'get',
				dataType: 'json',
				success: function(data, textStatus, jqXHR){
					if(data.success){
						var value = data.result;
						var expires = new Date();
						expires.setTime(expires.getTime() + (2592000000));
						set_cookie('uniq', value, expires);
					}
				}
			});
		}
	}
	uniq_id();

	function karma_list(){
		var el = $('#all_comm'),
			id = el.attr('data-karma-id'),
			type = el.attr('data-karma-type');
		$.ajax({
			url: '/ajax/karma_list.php',
			type: 'get',
			data: {
				id: id,
				type: type
			},
			dataType: 'json',
			success: function(data, textStatus, jqXHR){
				if(data.success){
					$.each(data.result, function(index, value){
						$('#comment_karma_value_plus_' + index).html(value.plus);
						$('#comment_karma_value_minus_' + index).html(value.minus);
					});
					$('.comment-karma').show();
				}
			}
		});
	}
	karma_list();

	$('.comment-karma-plus').click(function(){
		var el = $(this),
			comment_id = el.attr('data-id'),
			type = el.attr('data-type');
		karma_update(comment_id, type, 1);
	});

	$('.comment-karma-minus').click(function(){
		var el = $(this),
			comment_id = el.attr('data-id'),
			type = el.attr('data-type');
		karma_update(comment_id, type, -1);
	});

	function karma_update(comment_id, type, value){
		var uniq_id = get_cookie('uniq'),
			$loading = $('#comment_karma_loading_'+comment_id);
		$loading.show();
		$.ajax({
			url: '/ajax/karma_update.php',
			type: 'get',
			data: {
				uniq_id: uniq_id,
				comment_id: comment_id,
				type: type,
				value: value
			},
			dataType: 'json',
			success: function(data, textStatus, jqXHR){
				$loading.hide();
				if(data.success){
					var el_plus = $('#comment_karma_value_plus_'+comment_id),
						el_minus = $('#comment_karma_value_minus_'+comment_id),
						val_plus = parseInt(el_plus.html()),
						val_minus = parseInt(el_minus.html());
					if(value > 0){
						el_plus.html(val_plus+1);
						if(data.result.t == 'u'){
							el_minus.html(val_minus>0?val_minus-1:0);
						}
					}else{
						if(data.result.t == 'u'){
							el_plus.html(val_plus>0?val_plus-1:0);
						}
						el_minus.html(val_minus+1);
					}
				}
			},
			error: function(jqXHR, textStatus, errorThrown){
				$loading.hide();
				alert('    .');
			}
		});
	}

	var user_auth = get_cookie('auth');
	if(user_auth){
		var user_img = '',
			user_name = '';
		var user_array = explode('||', user_auth);
		user_name = user_array[1];
		user_img = user_array[2];
		$('#user_auth .comment-user-avatar').html('<img src="' + user_img + '" alt=""><br>' + user_name + '<br>');
		$('#user_auth').show();
		$('#user_name_auth').val(user_auth);
		$('#user_noauth').hide();
	}
});

function collapsElement(obj) {
	var el = document.getElementById(obj);
	if (el.style.display != "none") {
		el.style.display = 'none';
		document.getElementById('on').src = '';
	}
	else {
		el.style.display = '';
		document.getElementById('off').src = '';
	}
}

function insertSmilie(code) {
	var myTextArea = document.getElementById('comment');

	//IE support
	if (document.selection) {
		myTextArea.focus();
		var sel = document.selection.createRange();
		sel.text = code;
	}
	//MOZILLA/NETSCAPE support
	else if (myTextArea.selectionStart || myTextArea.selectionStart == "0") {
		var startPos = myTextArea.selectionStart;
		var endPos = myTextArea.selectionEnd;
		var oldText = myTextArea.value;

		myTextArea.value = oldText.substring(0, startPos) + code + oldText.substring(endPos, oldText.length);
		myTextArea.selectionStart = startPos;
		myTextArea.selectionEnd = startPos + code.length;
	} else {
		myTextArea.value += code;
	}

	myTextArea.focus();
}

function addbookmark(bookmarkurl, bookmarktitle) {
	if (document.all)
		window.external.AddFavorite(bookmarkurl, bookmarktitle)
}

function set_cookie(name, value, expires) {
	if (!expires) {
		expires = new Date();
	}
	document.cookie = name + "=" + escape(value) + "; expires=" + expires.toGMTString() + "; path=/";
}

function get_cookie(name) {
	var cookie_name = name + "=";
	var cookie_length = document.cookie.length;
	var cookie_begin = 0;
	while (cookie_begin < cookie_length) {
		var value_begin = cookie_begin + cookie_name.length;
		if (document.cookie.substring(cookie_begin, value_begin) == cookie_name) {
			var value_end = document.cookie.indexOf(";", value_begin);
			if (value_end == -1) {
				value_end = cookie_length;
			}
			return unescape(document.cookie.substring(value_begin, value_end));
		}
		cookie_begin = document.cookie.indexOf(" ", cookie_begin) + 1;
		if (cookie_begin == 0) {
			break;
		}
	}
	return null;
}

function explode( delimiter, string ) {
	var emptyArray = { 0: '' };

	if ( arguments.length != 2
		|| typeof arguments[0] == 'undefined'
		|| typeof arguments[1] == 'undefined' )
	{
		return null;
	}

	if ( delimiter === ''
		|| delimiter === false
		|| delimiter === null )
	{
		return false;
	}

	if ( typeof delimiter == 'function'
		|| typeof delimiter == 'object'
		|| typeof string == 'function'
		|| typeof string == 'object' )
	{
		return emptyArray;
	}

	if ( delimiter === true ) {
		delimiter = '1';
	}

	return string.toString().split ( delimiter.toString() );
}
